	// ===============================================================
	// Load Parent Information Flags
	// ===============================================================	

	function HTTP_PARENT_LOAD()
	{
	}

	// ===============================================================
	// View Item Handler Flags
	// ===============================================================	
	function HTTP_LOAD()
	{
		// Escape if new item
		// ...........................................
		if(JSRC_FLAG.IS_NULL_BIGINT(PROPERTY_REC_INVAUDIT_ID, 1, 1))
		{
			return;
		}

		// Load DB data of item
		// ...........................................
		JSOC_DIALOG.VAR_LOADING_SPINNER(true);


		// Actual Function
		// ...........................................
		var GET_MAP_ARRAY = JSCUS_SQL._RECORD._INVENTORY_AUDIT_LINE.CUS_PREPARE_MAPPED_ARRAY_FOR_GET();

		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_INVAUDIT_LINE_REC_INVAUDIT_ID', PROPERTY_REC_INVAUDIT_ID)
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_INVAUDIT_LINE_STATUS', 2);
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ORDER_FIELD', 'REC_INVAUDIT_LINE_CAT_PRODUCT_ID');
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ORDER_TYPE', 'DESC');

		// Declare Post Request Handler
		// _______________________________________________________________________
		var RESPONSE_HANDLER = 			
			function(IS_SUCCESS, HTTP_RESPONSE)
			{
				// Disable Dialogs
				// ...........................................
				CUS_SEND_DIALOG_TRY_DISMISS();
				
				// Handle Error
				// ...........................................
				if(IS_SUCCESS === false)
				{
					METHOD_UNABLE_TO_SEND_REQUEST(CALLBACK_METHOD);	
					return;
				}
				
				// Catch JSON Error
				// ...........................................
				else if(JSRC_JSON.REF_IS_JSTRING(HTTP_RESPONSE) == false)
				{
					METHOD_SERVER_ISSUE(CALLBACK_METHOD, HTTP_RESPONSE);
					return;			
				}
					
				// Read Response
				// ...........................................
				else
				{
					// Load Response
					var JSON_OBJECT = JSRC_JSON.REF_CREATE(HTTP_RESPONSE);

					if(JSRC_JSON.REF_IS_SUCCESS(JSON_OBJECT) === false)
					{
						METHOD_REQUEST_FAILURE(CALLBACK_METHOD, JSON_OBJECT);
						return;
					}
					else
					{
						INVENTORY_AUDIT_LINE_DGV.ROW.CLEAR();

						var ROW_INDEX = 1;
						var RINDEX = INVENTORY_AUDIT_LINE_DGV.ROW.COUNT();

						while(JSON_OBJECT.JSON_COUNT >= ROW_INDEX)
						{
							var DISCREPANCY = 0;
							var ACTUAL_QTY = 0;
							var SYSTEM_QTY = 0;

							if(PROPERTY_REC_BRANCH_PRODUCTS.includes(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVAUDIT_LINE_CAT_PRODUCT_ID", ROW_INDEX)))
							{
								if(JSVC_STR.VAR_IS_BLANK(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVAUDIT_LINE_QUANTITY_ACTUAL", ROW_INDEX)) == false)
									ACTUAL_QTY = JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVAUDIT_LINE_QUANTITY_ACTUAL", ROW_INDEX));

								if(JSVC_STR.VAR_IS_BLANK(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVAUDIT_LINE_QUANTITY_SYSTEM", ROW_INDEX)) == false)
									SYSTEM_QTY = JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVAUDIT_LINE_QUANTITY_SYSTEM", ROW_INDEX));

								
								INVENTORY_AUDIT_LINE_DGV.ROW.INSERT_AT(RINDEX);

								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_ID", RINDEX, ROW_INDEX);
								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_REC_INVAUDIT_ID", RINDEX, PROPERTY_REC_INVAUDIT_ID);
								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_CAT_PRODUCT_ID", RINDEX, JSVC_NUM.VAR_NVALL(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_PRODUCT_ID", ROW_INDEX)));
								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_CAT_PRODUCT_ID_DESCRIPTION", RINDEX, JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_PRODUCT_DESCRIPTION", ROW_INDEX));
								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_QUANTITY_SYSTEM", RINDEX, SYSTEM_QTY);
								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_QUANTITY_ACTUAL", RINDEX, ACTUAL_QTY);
								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("DISCREPANCY", RINDEX, ACTUAL_QTY - SYSTEM_QTY);

								INVENTORY_AUDIT_LINE_DGV.CELL.ELEMENT("REC_INVAUDIT_LINE_QUANTITY_ACTUAL", RINDEX).disabled = true;
								INVENTORY_AUDIT_LINE_DGV.CELL.ELEMENT("REC_INVAUDIT_LINE_QUANTITY_SYSTEM", RINDEX).style.textAlign = 'right';
								INVENTORY_AUDIT_LINE_DGV.CELL.ELEMENT("REC_INVAUDIT_LINE_QUANTITY_ACTUAL", RINDEX).style.textAlign = 'right';
								INVENTORY_AUDIT_LINE_DGV.CELL.ELEMENT("DISCREPANCY", RINDEX).style.textAlign = 'right';

								RINDEX++;
							}

							ROW_INDEX++;
						}

						//INVENTORY_AUDIT_LINE_DGV.COLUMN.CFORMAT("REC_INVAUDIT_LINE_QUANTITY_SYSTEM");
						//INVENTORY_AUDIT_LINE_DGV.COLUMN.CFORMAT("REC_INVAUDIT_LINE_QUANTITY_ACTUAL");
						//INVENTORY_AUDIT_LINE_DGV.COLUMN.CFORMAT("DISCREPANCY");

						if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SAVE_BBI"))
						{
							JSOC_ELEMENT.VAR_GET("SAVE_BBI").style.visibility = "hidden";
						}
					}
				}
			};


		JSCUS_SQL._RECORD._INVENTORY_AUDIT_LINE.CUS_GET
		(
			GET_MAP_ARRAY,
			RESPONSE_HANDLER,
			true
		);

		// Clear Changes due to loading
		// ...........................................
	}

	// ===============================================================
	// New Item Handler Flags
	// ===============================================================	
	function HTTP_NEW_LOAD(CALLBACK_FUNCTION)
	{
		// Load DB data of item
		// ...........................................
		JSOC_DIALOG.VAR_LOADING_SPINNER(true);


		// Actual Function
		// ...........................................
		var GET_MAP_ARRAY = JSCUS_SQL._RECORD._INVENTORY.CUS_PREPARE_MAPPED_ARRAY_FOR_GET();

		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_INVENTORY_ACC_GROUP_ID', JSVC_NUM.VAR_NVALL(JSCUS_SQL._RECORD._POSDEVICE._LOGIN.REC_POSDEVICE_ACC_GROUP_ID)); 
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_INVENTORY_CAT_STORAGE_ID', PROPERTY_REC_STORAGE_ID);
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_INVENTORY_STATUS', 2);

		// Declare Post Request Handler
		// _______________________________________________________________________
		var RESPONSE_HANDLER = 			
			function(IS_SUCCESS, HTTP_RESPONSE)
			{
				// Disable Dialogs
				// ...........................................
				CUS_SEND_DIALOG_TRY_DISMISS();
				
				// Handle Error
				// ...........................................
				if(IS_SUCCESS === false)
				{
					METHOD_UNABLE_TO_SEND_REQUEST(CALLBACK_METHOD);	
					return;
				}
				
				// Catch JSON Error
				// ...........................................
				else if(JSRC_JSON.REF_IS_JSTRING(HTTP_RESPONSE) == false)
				{
					METHOD_SERVER_ISSUE(CALLBACK_METHOD, HTTP_RESPONSE);
					return;			
				}
					
				// Read Response
				// ...........................................
				else
				{
					// Load Response
					var JSON_OBJECT = JSRC_JSON.REF_CREATE(HTTP_RESPONSE);

					if(JSRC_JSON.REF_IS_SUCCESS(JSON_OBJECT) === false)
					{
						METHOD_REQUEST_FAILURE(CALLBACK_METHOD, JSON_OBJECT);
						return;
					}
					else
					{
						INVENTORY_AUDIT_LINE_DGV.ROW.CLEAR();

						var ROW_INDEX = 1;
						var RINDEX = INVENTORY_AUDIT_LINE_DGV.ROW.COUNT();

						while(JSON_OBJECT.JSON_COUNT >= ROW_INDEX)
						{
							if(PROPERTY_REC_BRANCH_PRODUCTS.includes(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_PRODUCT_ID", ROW_INDEX)))
							{
								INVENTORY_AUDIT_LINE_DGV.ROW.INSERT_AT(RINDEX);

								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_ID", RINDEX, ROW_INDEX);
								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_REC_INVAUDIT_ID", RINDEX, PROPERTY_REC_INVAUDIT_ID);
								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_CAT_PRODUCT_ID", RINDEX, JSVC_NUM.VAR_NVALL(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_PRODUCT_ID", ROW_INDEX)));
								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_CAT_PRODUCT_ID_DESCRIPTION", RINDEX, JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_PRODUCT_DESCRIPTION", ROW_INDEX));
								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_QUANTITY_SYSTEM", RINDEX, JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVENTORY_QUANTITY", ROW_INDEX)));
								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_QUANTITY_ACTUAL", RINDEX, '');
								INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("DISCREPANCY", RINDEX, JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVENTORY_QUANTITY", ROW_INDEX)));

								RINDEX++;
							}

							ROW_INDEX++;
						}

						//INVENTORY_AUDIT_LINE_DGV.COLUMN.CFORMAT("REC_INVAUDIT_LINE_QUANTITY_SYSTEM");
						//INVENTORY_AUDIT_LINE_DGV.COLUMN.CFORMAT("REC_INVAUDIT_LINE_QUANTITY_ACTUAL");
						//INVENTORY_AUDIT_LINE_DGV.COLUMN.CFORMAT("DISCREPANCY");

						JSOC_ELEMENT.VAR_VALUE("REC_INVAUDIT_ACC_GROUP_ID_LBL", ": " + JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVENTORY_ACC_GROUP_ID_DESCRIPTION", 1));
						JSOC_ELEMENT.VAR_VALUE("REC_INVAUDIT_CAT_STORAGE_LBL", ": " + JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVENTORY_CAT_STORAGE_ID_DESCRIPTION", 1));

						CALLBACK_FUNCTION(true);
					}
				}
			};


		JSCUS_SQL._RECORD._INVENTORY.CUS_GET
		(
			GET_MAP_ARRAY,
			RESPONSE_HANDLER,
			true
		);

		// Clear Changes due to loading
		// ...........................................
	}

	// ===============================================================
	// Trims empty spaces and perform convertion for numeric fields.
	// ===============================================================
	function FIX_INPUT()
	{
		// Fix String Fields
		// ...........................................

		// Fix Numeric Fields (if field type is not number.)
		// ...........................................

		// Fix Password Fields
		// ...........................................
	}

	// ===============================================================
	// Request Save
	// ===============================================================
	function HTTP_SAVE(CALLBACK_METHOD)
	{
		var SAVE_MAP_ARRAY = JSCUS_SQL._RECORD._INVAUDIT.CUS_PREPARE_MAPPED_ARRAY_FOR_SAVE();

		JSVC_MAP_ARRAY.VAR_SET(SAVE_MAP_ARRAY, "PARAM_REC_INVAUDIT_ACC_GROUP_ID", JSVC_NUM.VAR_NVALL(JSCUS_SQL._RECORD._POSDEVICE._LOGIN.REC_POSDEVICE_ACC_GROUP_ID));
		JSVC_MAP_ARRAY.VAR_SET(SAVE_MAP_ARRAY, "PARAM_REC_INVAUDIT_CAT_STORAGE_ID", JSVC_NUM.VAR_NVALL(PROPERTY_REC_STORAGE_ID));
		JSVC_MAP_ARRAY.VAR_SET(SAVE_MAP_ARRAY, "PARAM_REC_INVAUDIT_STATUS", 2);


		// Declare Post Request Handler
		// _______________________________________________________________________
		var RESPONSE_HANDLER = 			
			function(IS_SUCCESS, HTTP_RESPONSE)
			{
				// Disable Dialogs
				// ...........................................
				CUS_SEND_DIALOG_TRY_DISMISS();
				
				// Handle Error
				// ...........................................
				if(IS_SUCCESS === false)
				{
					METHOD_UNABLE_TO_SEND_REQUEST(CALLBACK_METHOD);	
					return;
				}
				
				// Catch JSON Error
				// ...........................................
				else if(JSRC_JSON.REF_IS_JSTRING(HTTP_RESPONSE) == false)
				{
					METHOD_SERVER_ISSUE(CALLBACK_METHOD, HTTP_RESPONSE);
					return;			
				}

				// Read Response
				// ...........................................
				else
				{
					// Load Response
					var JSON_OBJECT = JSRC_JSON.REF_CREATE(HTTP_RESPONSE);

					if(JSRC_JSON.REF_IS_SUCCESS(JSON_OBJECT) === false)
					{
						METHOD_REQUEST_FAILURE(CALLBACK_METHOD, JSON_OBJECT);
						return;
					}

					// Post Save Action
					else
					{	
						var PARENT_ID_HOLDER = JSVC_NUM.VAR_NVALL(JSRC_JSON.REF_READ(JSON_OBJECT, "INSERTED_ID", "1"));
						HTTP_SAVE_LINE(CALLBACK_METHOD, PARENT_ID_HOLDER);	
					}
				}
			};

		// Save Item [Send Request]
		// _______________________________________________________________________
		JSOC_DIALOG.VAR_LOADING_SPINNER(true);
		JSCUS_SQL._RECORD._INVAUDIT.CUS_SAVE 
		(
			SAVE_MAP_ARRAY,
			RESPONSE_HANDLER
		);
	}

	function HTTP_SAVE_LINE(CALLBACK_METHOD, PARENT_ID_HOLDER)
	{
		var SAVE_MAP_ARRAY = [];
		var BUNDLE_MAP_ARRAY = [];

		var ROW_INDEX = 1;

		while(INVENTORY_AUDIT_LINE_DGV.ROW.COUNT() >= ROW_INDEX)
		{
			if(JSVC_STR.VAR_IS_BLANK(INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_QUANTITY_ACTUAL", ROW_INDEX - 1)) == false)
			{
				SAVE_MAP_ARRAY = JSCUS_SQL._RECORD._INVENTORY_AUDIT_LINE.CUS_PREPARE_MAPPED_ARRAY_FOR_SAVE();

				JSVC_MAP_ARRAY.VAR_SET(SAVE_MAP_ARRAY, "PARAM_REC_INVAUDIT_LINE_REC_INVAUDIT_ID", PARENT_ID_HOLDER);
				JSVC_MAP_ARRAY.VAR_SET(SAVE_MAP_ARRAY, "PARAM_REC_INVAUDIT_LINE_CAT_PRODUCT_ID", JSVC_NUM.VAR_NVALL(INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_CAT_PRODUCT_ID", ROW_INDEX - 1)));
				JSVC_MAP_ARRAY.VAR_SET(SAVE_MAP_ARRAY, "PARAM_REC_INVAUDIT_LINE_QUANTITY_ACTUAL",JSVC_NUM.VAR_NVALL(INVENTORY_AUDIT_LINE_DGV.CELL.VALUE("REC_INVAUDIT_LINE_QUANTITY_ACTUAL", ROW_INDEX - 1)));
				JSVC_MAP_ARRAY.VAR_SET(SAVE_MAP_ARRAY, "PARAM_REC_INVAUDIT_LINE_STATUS", 2);

				BUNDLE_MAP_ARRAY = JSCUS_SQL._RECORD._INVENTORY_AUDIT_LINE.CUS_ADD_MAPPED_ARRAY_FOR_SAVE(BUNDLE_MAP_ARRAY, SAVE_MAP_ARRAY);
			}

			ROW_INDEX++;
		}

		// Declare Post Request Handler
		// _______________________________________________________________________
		var RESPONSE_HANDLER = 			
			function(IS_SUCCESS, HTTP_RESPONSE)
			{
				// Disable Dialogs
				// ...........................................
				CUS_SEND_DIALOG_TRY_DISMISS();
				
				// Handle Error
				// ...........................................
				if(IS_SUCCESS === false)
				{
					METHOD_UNABLE_TO_SEND_REQUEST(CALLBACK_METHOD);	
					return;
				}
				
				// Catch JSON Error
				// ...........................................
				else if(JSRC_JSON.REF_IS_JSTRING(HTTP_RESPONSE) == false)
				{
					METHOD_SERVER_ISSUE(CALLBACK_METHOD, HTTP_RESPONSE);
					return;			
				}
					
				// Read Response
				// ...........................................
				else
				{
					// Load Response
					var JSON_OBJECT = JSRC_JSON.REF_CREATE(HTTP_RESPONSE);
					if(JSRC_JSON.REF_IS_SUCCESS(JSON_OBJECT) === false)
					{
						METHOD_REQUEST_FAILURE(CALLBACK_METHOD, JSON_OBJECT);
						return;
					}
					// Post Save Action
					else
					{
						// Add new line
						INVAUDIT_DGV.ROW.INSERT_AT(0);
						HTTP_SEARCH(PARENT_ID_HOLDER, 0);

						// Lift edit and Exit EditMode
						EDIT_HANDLER.REF_IS_MODIFIED = false;
						EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = true;			
						if
						(
							JSOC_ELEMENT.VAR_ELEMENT_EXISTS('INVAUDIT_MODAL') == true
						)
						{
							JSOC_DIALOG.VAR_MODAL('INVAUDIT_MODAL', false);
						}

						CALLBACK_METHOD(true);	
					}
				}
			};
			
			
		// Save Item [Send Request]
		// _______________________________________________________________________
		JSOC_DIALOG.VAR_LOADING_SPINNER(true);
		JSCUS_SQL._RECORD._INVENTORY_AUDIT_LINE.CUS_SAVE
		(
			BUNDLE_MAP_ARRAY,
			RESPONSE_HANDLER
		);
	}

	// ===============================================================
	// Request Delete
	// ===============================================================
	// function HTTP_DELETE(CALLBACK_METHOD, ROW_INDEX)
	// {
	// 	// Escape if Disabled
	// 	// _______________________________________________________________________
	// 	if(JSVC_VAR.VAR_ISSET(DELETE_BBI) && DELETE_BBI.Enabled == false)
	// 	{
	// 		CALLBACK_METHOD(false);
	// 		return;
	// 	}

	// 	// Escape if nothing selected
	// 	// _______________________________________________________________________
	// 	if(ROW_INDEX < 0)
	// 	{
	// 		JSVC_ERROR.VAR_ARGUMENT_EXCEPTION_NOTHING_SELECTED(true);
	// 		CALLBACK_METHOD(false);
	// 		return;
	// 	}

	// 	// Initialize
	// 	// _______________________________________________________________________
	// 	var DELETE_ITEM_DESCRIPTION = INVAUDIT_DGV.CELL.VALUE('REC_INVAUDIT_DATE_AUDIT', ROW_INDEX);


	// 	// Declare Post Request Handler
	// 	// _______________________________________________________________________
	// 	var RESPONSE_HANDLER = 
	// 		function (IS_SUCCESS, HTTP_RESPONSE)
	// 		{
	// 			// Disable Dialogs
	// 			// ...........................................
	// 			CUS_SEND_DIALOG_TRY_DISMISS();

	// 			// Handle Error
	// 			// ...........................................
	// 			if(IS_SUCCESS === false)
	// 			{
	// 				METHOD_UNABLE_TO_SEND_REQUEST(CALLBACK_METHOD);
	// 				return;
	// 			}

	// 			// Catch JSON Error
	// 			// ...........................................
	// 			else if(JSRC_JSON.REF_IS_JSTRING(HTTP_RESPONSE) == false)
	// 			{
	// 				METHOD_SERVER_ISSUE(CALLBACK_METHOD, HTTP_RESPONSE);
	// 				return;			
	// 			}

	// 			// Read Response
	// 			// ...........................................
	// 			else
	// 			{
	// 				// Load Response
	// 				var JSON_OBJECT = JSRC_JSON.REF_CREATE(HTTP_RESPONSE);

	// 				if(JSRC_JSON.REF_IS_SUCCESS(JSON_OBJECT) === false)
	// 				{
	// 					METHOD_REQUEST_FAILURE(CALLBACK_METHOD, JSON_OBJECT);
	// 					return;
	// 				}

	// 				// Post Delete Action
	// 				else
	// 				{
	// 					INVAUDIT_DGV.ROW.REMOVE_AT(ROW_INDEX);
	// 					INVAUDIT_DGV.COLUMN.ROW_COUNT_PRINT('ROW_COUNT');

	// 					JSVC_INFO.VAR_RECORD_DELETED
	// 					(
	// 						DELETE_ITEM_DESCRIPTION, 
	// 						function()
	// 						{
	// 							CALLBACK_METHOD(true);
	// 						}
	// 					);		
	// 				}
	// 			}
	// 		};

	// 	// Request User Verification for Delete
	// 	// _______________________________________________________________________
	// 	JSVC_INFO.VAR_VERIFY_DELETE
	// 	(
	// 		DELETE_ITEM_DESCRIPTION,
	// 		function(VERIFY_RESULT) 
	// 		{
	// 			// Abort if rejected by user.
	// 			// ...........................................
	// 			if(VERIFY_RESULT != JSOC_DIALOG.MSGBOX_YES)
	// 			{
	// 				CALLBACK_METHOD(false);
	// 				return;
	// 			}

	// 			//Delete Item
	// 			// ...........................................
	// 			JSOC_DIALOG.VAR_LOADING_SPINNER(true);
	// 			JSCUS_SQL._RECORD._INVAUDIT.CUS_DELETE
	// 			(
	// 				INVAUDIT_DGV.CELL.VALUE('REC_INVAUDIT_ID', ROW_INDEX),
	// 				RESPONSE_HANDLER
	// 			)
	// 		}
	// 	);
	// }

	// ===============================================================
	// Request Void
	// ===============================================================
	// function HTTP_VOID(CALLBACK_METHOD, ROW_INDEX)
	// {
	// 	// Escape if Disabled
	// 	// _______________________________________________________________________
	// 	if
	// 	(
	// 		JSVC_VAR.VAR_ISSET(INVAUDIT_DGV.CELL.ELEMENT('REC_INVAUDIT_STATUS', ROW_INDEX)) && 
	// 		INVAUDIT_DGV.CELL.ELEMENT('REC_INVAUDIT_STATUS', ROW_INDEX).Enabled == false
	// 	)
	// 	{
	// 		CALLBACK_METHOD(false);
	// 		return;
	// 	}

	// 	// Escape if nothing selected
	// 	// _______________________________________________________________________
	// 	if(ROW_INDEX < 0)
	// 	{
	// 		JSVC_ERROR.VAR_ARGUMENT_EXCEPTION_NOTHING_SELECTED(true);
	// 		CALLBACK_METHOD(false);
	// 		return;
	// 	}

	// 	// Abort if already Voided (Status = 3)
	// 	// _______________________________________________________________________
	// 	if(INVAUDIT_DGV.CELL.VALUE('REC_INVAUDIT_STATUS', ROW_INDEX) == 3)
	// 	{
	// 		JSOC_DIALOG.VAR_MESSAGE_BOX
	// 		(
	// 			'This item is already Voided', 
	// 			'Information',
	// 			'OK', 'INFO',
	// 			null
	// 		);		

	// 		return;
	// 	}		

	// 	// Notify User to Void	
	// 	// _______________________________________________________________________
	// 	JSOC_DIALOG.VAR_MESSAGE_BOX
	// 	(
	// 		'Do you want to void the selected item?', 
	// 		'Information',
	// 		'YESNO', 'QUESTION',
	// 		function(VERIFY_RESULT)
	// 		{
	// 			if(VERIFY_RESULT == JSOC_DIALOG.MSGBOX_YES)
	// 			{
	// 				PROPERTY_REC_VOUCHER_ID = INVAUDIT_DGV.CELL.VALUE('4817', ROW_INDEX);
	// 				PROPERTY_EDIT_ROW_INDEX = ROW_INDEX;
	// 				HTTP_LOAD
	// 				(
	// 					function()
	// 					{
	// 						JSOC_CMB.VAR_SELECTED_VALUE(REC_INVAUDIT_STATUS_CMB, 3);
	// 						JSOC_DIALOG.VAR_MODAL("INVAUDIT_MODAL", true);
	// 						EDIT_HANDLER.REF_IS_MODIFIED = true;				
	// 					}
	// 				);
	// 			}
	// 		}
	// 	);
	// }